﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace RadCalendar_WithNumber
{
	public class MultyConverter : IMultiValueConverter
	{
		public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			DateTime d = (DateTime)values[0];
			SpecialValueService s = (SpecialValueService)values[1];
			int v = s.GetValueForDate(d);
			if (v == 0)
			{
				return "";
			}
			else
			{
				return String.Format("({0})", v);
			}
		}

		public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
